Waiting for engine...
Skip to main content

Meta Hub API Reference - Associations

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Associations

Operations for managing associations between glossaries and assets

Get associations

Retrieve a list of glossary associations.

Required privileges: META_VIEW_ASSOCIATION

Authorizations:
jwt
path Parameters
accountId
required
string
Example: abc123

Account ID

query Parameters
glossaryId
string <uuid>
Example: glossaryId=123e4567-e89b-12d3-a456-426614174000

Glossary ID

assetType
string

Asset type filter. Supported values (case-insensitive): DATAHUB_MODEL, AI_AGENT.

assetExternalId
string

Asset ID in the external system such as the universe component ID.

page
integer >= 1
Default: 1

Page number

limit
integer [ 1 .. 100 ]
Default: 20

Max results per page

Responses

Response Schema: application/json
Array of objects (AssociationResponse)

Contains a list of association items.

page
integer <int32>

Current page count.

limit
integer <int32>

Max count of items per page.

totalElements
integer <int64>

Total count of elements available.

totalPages
integer <int32>

Total count of pages available.

Response samples

Content type
application/json
{
  • "associations": [
    • {
      }
    ],
  • "page": 1,
  • "limit": 20,
  • "totalElements": 42,
  • "totalPages": 3
}

Create association

Create a glossary association.

Required privileges: META_EDIT_ASSOCIATION

Authorizations:
jwt
path Parameters
accountId
required
string
Example: abc123

Account ID

Request Body schema: application/json
required
assetExternalId
required
string non-empty

Asset ID in the external system such as the universe component ID.

assetType
required
string non-empty
Enum: "DATAHUB_MODEL" "AI_AGENT"

Asset type to associate. Supported values (case-insensitive): DATAHUB_MODEL, AI_AGENT.

glossaryId
required
string <uuid>

Glossary ID.

title
string

Display title of the asset to associate. Optional.

mode
string
Enum: "conversational" "structured"

Interaction mode of the asset. Optional; case-insensitive. Supported values: conversational, structured.

Responses

Request samples

Content type
application/json
{
  • "assetType": "DATAHUB_MODEL",
  • "assetExternalId": "component-uuid-123",
  • "glossaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  • "title": "Customer Integration Process",
  • "mode": "conversational"
}

Response samples

Content type
application/json
{
  • "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  • "accountId": "abc123",
  • "createdBy": "user@boomi.com",
  • "createdAt": "2025-11-10T09:00:00",
  • "updatedBy": "editor@boomi.com",
  • "updatedAt": "2025-11-18T12:00:00",
  • "glossarySummary": {
    • "id": "123e4567-e89b-12d3-a456-426614174000",
    • "accountId": "abc123",
    • "name": "Customer Data Glossary - Updated",
    • "type": "BUSINESS_GLOSSARY",
    • "purpose": "Expanded scope for new regions.",
    • "status": "PUBLISHED",
    • "endorsementStatus": "ENDORSED",
    • "createdBy": "admin@boomi.com",
    • "updatedBy": "editor@boomi.com",
    • "content": "Updated term list with additional definitions.",
    • "contentId": "xyz789",
    • "contentServiceUrl": "https://content.example.com/content",
    • "createdAt": "2025-11-10T09:00:00",
    • "updatedAt": "2025-11-18T12:00:00"
    },
  • "assetSummary": {
    • "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    • "externalId": "component-uuid-123",
    • "type": "PROCESS",
    • "title": "Customer Integration Process",
    • "mode": "conversational",
    • "createdAt": "2025-11-10T09:00:00",
    • "createdBy": "user@boomi.com"
    }
}

Delete association

Delete a glossary association.

Required privileges: META_DELETE_ASSOCIATION

Authorizations:
jwt
path Parameters
accountId
required
string
Example: abc123

Account ID

id
required
string <uuid>
Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6

Association ID

Responses

Response samples

Content type
application/json
{
  • "error": "400 BAD_REQUEST",
  • "message": "Invalid input parameters",
  • "timestamp": "2026-06-09T10:30:00",
  • "path": "/metahub/api/accounts/{accountId}/..."
}